package com.xyzc.start.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xyzc.start.domain.ComfyuiUserWorkflow;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 用户提交生成图片的请求视图对象 xy_comfyui_user_workflow
 *
 * @author wyz
 * @date 2024-08-08
 */
@Data
@AutoMapper(target = ComfyuiUserWorkflow.class)
public class ComfyuiUserWorkflowVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 模板id
     */
    private Integer workflowId;

    /**
     * 工作流类型
     */
    private Integer picType;

    /**
     * 模板json
     */
    private String workflowJson;

    /**
     * 生成图片的prompt
     */
    private String promptJson;

    /**
     * oss地址
     */
    private String picUrl;

    /**
     * 是否生成；0:未启动;1:生成中;2:生成失败;3:生成成功
     */
    private Integer isGenerate;

    /**
     * 生成时间
     */
    private Date generateTime;

}
