package com.xyzc.start.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.xyzc.start.domain.WebAppGroup;
import io.github.linpeilie.annotations.AutoMapper;
import io.github.linpeilie.annotations.AutoMapping;
import lombok.Data;

import java.util.List;

@Data
@AutoMapper(target = WebAppGroup.class)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class WebAppGroupVo {
    /**
     * 分类id
     */
    @AutoMapping(target = "id")
    private Long groupId;


    /**
     * 应用组名称
     */
    private String groupName;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 应用集合
     */
    private List<AppPageVo> appPageList;

}
