package com.xyzc.start.mapper;

import com.alibaba.fastjson.JSONObject;
import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.ComfyuiExecute;
import com.xyzc.start.domain.ComfyuiUserWorkflow;
import com.xyzc.start.domain.ComfyuiWorkflow;
import com.xyzc.start.domain.vo.ComfyuiUserWorkflowVo;
import com.xyzc.start.domain.vo.ComfyuiWorkflowVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *
 * @author wyz
 * @date 2024-08-08
 */
@Mapper
public interface ComfyUIMapper extends BaseMapperPlus<ComfyuiUserWorkflow, ComfyuiUserWorkflowVo> {

    List<ComfyuiWorkflowVo> queryAllWorkflow();

    ComfyuiWorkflow queryWorkflowById(int workflow);

    ComfyuiExecute queryComfyUIExecute();

    int insertComfyuiUserWorkflow(ComfyuiUserWorkflow comfyuiUserWorkflow);

    int insertComfyuiExecute(ComfyuiExecute comfyuiExecute);

    int updateComfyuiExecute(@Param("comfyuiExecute") ComfyuiExecute comfyuiExecute);
}
