package com.xyzc.start.constant;

public enum WxScanStatus {

    /**
     * 扫码状态
     * 0:未扫码
     * 1:已扫码
     * 2:已取消
     */
    NO_SCAN(0, "未扫码"),
    HAS_SCAN(1, "已扫码"),
    HAS_CANCEL(2, "已取消");

    private int code;
    private String desc;

    WxScanStatus(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public int getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

}
