package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.DrawPrompt;
import io.github.linpeilie.annotations.AutoMapper;
import io.github.linpeilie.annotations.AutoMapping;
import lombok.Data;

/**
 * DrawPromptConfigVo
 *
 * @author 杨兴卓
 */
@Data
@AutoMapper(target = DrawPrompt.class)
public class DrawPromptVo {

    /**
     * 提示词id
     */
    private Long promptId;

    /**
     * 提示词图片地址
     */
    private String promptOssUrl;

    /**
     * 提示词中文
     */
    @AutoMapping(target = "promptName")
    private String prompt;

    /**
     * 提示词英文
     */
    @AutoMapping(target = "promptNameEn")
    private String promptEn;
}
