package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.UgcUser;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

@Data
@AutoMapper(target = UgcUser.class)
public class UgcUserVo {

    /**
     * ugc昵称
     */
    private String ugc_nick;

    /**
     * ugc用户头像地址
     */
    private String avatar;

    /**
     * ugc用户留言
     */
    private String description;

    /**
     * 发布作品总数
     */
    private Integer releaseCount;

    /**
     * 发布模型总数
     */
    private Integer releaseModelCount;


}
