package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xyzc.start.domain.NpFormwork;
import com.xyzc.start.domain.NpTemplateDraft;
import org.springframework.stereotype.Repository;

/**
 * 编辑模特草稿Mapper接口
 *
 * @author wyz
 * @date 2024-08-23
 */
@Repository
public interface NpTemplateDraftMapper extends BaseMapper<NpTemplateDraft> {

    NpFormwork getTemplateDraft(String templateId);

    Page<NpFormwork>  getCommonTemplate(Long baseUserId, Integer formworkType, int type, Page<NpFormwork> page);

    Page<NpTemplateDraft>  sortDraftByUpdate(Long baseUserId, Page<NpTemplateDraft> page);

    int insertNpFormwork(NpFormwork npFormwork);
}
